Send file to the remote TCP socket.

- « Swoole\Client::send

- Swoole\Client::sendto »

- PHP Manual
- Swoole\Client
- Send file to the remote TCP socket.

# Swoole\Client::sendfile

(PECL swoole >= 1.9.0)

Swoole\Client::sendfile — Send file to the remote TCP socket.

### Description

public Swoole\Client::sendfile(string `$filename`, int `$offset` = ?): bool

This is a wrapper of the Linux sendfile system call.

### Parameters

`filename`

  File path of the file to send.

`offset`

  Offset of the file to send

### Return Values